org.apache.coyote.http11

## Class Constants

- java.lang.Object
- - org.apache.coyote.http11.Constants

-     public final class Constants
      extends Object

  Constants.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte[]` | `_200_BYTES`
    `static byte[]` | `_400_BYTES`
    `static byte[]` | `_404_BYTES`
    `static byte` | `a` 'a'.
    `static byte` | `A` 'A'.
    `static byte[]` | `ACK_BYTES`
    `static int` | `BUFFERED_FILTER` Buffered filter (input)
    `static String` | `CHUNKED`
    `static int` | `CHUNKED_FILTER` Chunked filters (input and output).
    `static String` | `CLOSE`
    `static byte[]` | `CLOSE_BYTES`
    `static byte` | `COLON` COLON.
    `static String` | `CONNECTION`
    `static byte` | `CR` CR.
    `static String` | `CRLF` CRLF.
    `static int` | `DEFAULT_CONNECTION_LINGER`
    `static int` | `DEFAULT_CONNECTION_TIMEOUT`
    `static boolean` | `DEFAULT_TCP_NO_DELAY`
    `static String` | `GET` GET.
    `static int` | `GZIP_FILTER` GZIP filter (output).
    `static String` | `HEAD` HEAD.
    `static byte` | `HT` HT.
    `static String` | `HTTP_10` HTTP/1.0.
    `static String` | `HTTP_11` HTTP/1.1.
    `static byte[]` | `HTTP_11_BYTES`
    `static int` | `IDENTITY_FILTER` Identity filters (input and output).
    `static boolean` | `IS_SECURITY_ENABLED` Deprecated. Unused - will be removed in 8.0.x
    `static String` | `KEEPALIVE`
    `static byte[]` | `KEEPALIVE_BYTES`
    `static byte` | `LC_OFFSET` Lower case offset.
    `static byte` | `LF` LF.
    `static String` | `Package` Package name.
    `static String` | `POST` POST.
    `static byte` | `QUESTION` '?'.
    `static byte` | `SEMI_COLON` SEMI_COLON.
    `static byte[]` | `SERVER_BYTES` Server string.
    `static byte` | `SP` SP.
    `static String` | `TRANSFERENCODING`
    `static int` | `VOID_FILTER` Void filters (input and output).
    `static byte` | `Z` 'Z'.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Package

          public static final String Package

      Package name.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_LINGER

          public static final int DEFAULT_CONNECTION_LINGER

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_TIMEOUT

          public static final int DEFAULT_CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_TCP_NO_DELAY

          public static final boolean DEFAULT_TCP_NO_DELAY

      See Also:
        Constant Field Values

    - #### CRLF

          public static final String CRLF

      CRLF.
      See Also:
        Constant Field Values

    - #### SERVER_BYTES

          public static final byte[] SERVER_BYTES

      Server string.

    - #### CR

          public static final byte CR

      CR.
      See Also:
        Constant Field Values

    - #### LF

          public static final byte LF

      LF.
      See Also:
        Constant Field Values

    - #### SP

          public static final byte SP

      SP.
      See Also:
        Constant Field Values

    - #### HT

          public static final byte HT

      HT.
      See Also:
        Constant Field Values

    - #### COLON

          public static final byte COLON

      COLON.
      See Also:
        Constant Field Values

    - #### SEMI_COLON

          public static final byte SEMI_COLON

      SEMI_COLON.
      See Also:
        Constant Field Values

    - #### A

          public static final byte A

      'A'.
      See Also:
        Constant Field Values

    - #### a

          public static final byte a

      'a'.
      See Also:
        Constant Field Values

    - #### Z

          public static final byte Z

      'Z'.
      See Also:
        Constant Field Values

    - #### QUESTION

          public static final byte QUESTION

      '?'.
      See Also:
        Constant Field Values

    - #### LC_OFFSET

          public static final byte LC_OFFSET

      Lower case offset.
      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final String CONNECTION

      See Also:
        Constant Field Values

    - #### CLOSE

          public static final String CLOSE

      See Also:
        Constant Field Values

    - #### CLOSE_BYTES

          public static final byte[] CLOSE_BYTES

    - #### KEEPALIVE

          public static final String KEEPALIVE

      See Also:
        Constant Field Values

    - #### KEEPALIVE_BYTES

          public static final byte[] KEEPALIVE_BYTES

    - #### CHUNKED

          public static final String CHUNKED

      See Also:
        Constant Field Values

    - #### ACK_BYTES

          public static final byte[] ACK_BYTES

    - #### TRANSFERENCODING

          public static final String TRANSFERENCODING

      See Also:
        Constant Field Values

    - #### _200_BYTES

          public static final byte[] _200_BYTES

    - #### _400_BYTES

          public static final byte[] _400_BYTES

    - #### _404_BYTES

          public static final byte[] _404_BYTES

    - #### IDENTITY_FILTER

          public static final int IDENTITY_FILTER

      Identity filters (input and output).
      See Also:
        Constant Field Values

    - #### CHUNKED_FILTER

          public static final int CHUNKED_FILTER

      Chunked filters (input and output).
      See Also:
        Constant Field Values

    - #### VOID_FILTER

          public static final int VOID_FILTER

      Void filters (input and output).
      See Also:
        Constant Field Values

    - #### GZIP_FILTER

          public static final int GZIP_FILTER

      GZIP filter (output).
      See Also:
        Constant Field Values

    - #### BUFFERED_FILTER

          public static final int BUFFERED_FILTER

      Buffered filter (input)
      See Also:
        Constant Field Values

    - #### HTTP_10

          public static final String HTTP_10

      HTTP/1.0.
      See Also:
        Constant Field Values

    - #### HTTP_11

          public static final String HTTP_11

      HTTP/1.1.
      See Also:
        Constant Field Values

    - #### HTTP_11_BYTES

          public static final byte[] HTTP_11_BYTES

    - #### GET

          public static final String GET

      GET.
      See Also:
        Constant Field Values

    - #### HEAD

          public static final String HEAD

      HEAD.
      See Also:
        Constant Field Values

    - #### POST

          public static final String POST

      POST.
      See Also:
        Constant Field Values

    - #### IS_SECURITY_ENABLED

          @Deprecated
          public static final boolean IS_SECURITY_ENABLED

      Deprecated. Unused - will be removed in 8.0.x
      Has security been turned on?

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.